# Class: Infinilist

## Infinilist

#### new Infinilist(selector, template, options, view)

Creates an infinilist instance.

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | String | A jQuery selector targeting the element that will contain the list items.
`template` | String | jQuery selector of the template to use when rendering an individual list item.
`options` | Object | The options object.
`view` | View | The view to read data from.

Source:
  - Infinilist.js, line 34

### Methods

- resize()

#### resize()

Handle screen resizing.

Source:
  - Infinilist.js, line 127

## Infinilist

#### new Infinilist()

Provides scrolling lists with large data sets that behave in a very performance-optimised fashion by controlling the DOM elements currently on screen to ensure that only the visible elements are rendered and all other elements are simulated by variable height divs at the top and bottom of the scrolling list. This module requires that the AutoBind module is loaded before it will work. Infinilists work from views and those views cannot have an $orderBy clause in them because that would slow down rendering. Instead if you wish to have your data ordered you have to create a temporary collection from which your view feeds from and pre-order the data before inserting it into the temporary collection.

Source:
  - Infinilist.js, line 3

##### Requires:

- module:AutoBind

### Requires

- module:AutoBind

### Methods

- resize()

#### resize()

Handle screen resizing.

Source:
  - Infinilist.js, line 127